Bug 2977 - Samba internal error Signal 6 in pid 20874
Samba internal error Signal 6 in pid 20874
Status: RESOLVED WORKSFORME
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.14a
x86 Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-11 00:34 UTC by ivo
Modified: 2005-08-30 04:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ivo 2005-08-11 00:34:43 UTC
After sazmba was working several months on debian i noticed the following error
in my logs. However no interaction was needed to get samba running again.
We use samba + openldap 2.2.23-8 (debian sarge)

(log.smbd)

[2005/08/10 16:59:38, 1] smbd/service.c:close_cnum(830)
  pc00123 (10.0.1.yyy) closed connection to service ch
smbd:
/home/devel/openldap/build-area/openldap2-2.1.30/libraries/liblber/io.c:702:
ber_get_next: Assertion `0' failed.
[2005/08/10 16:59:41, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2005/08/10 16:59:41, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 6 in pid 20874 (3.0.14a-Debian)
  Please read the appendix Bugs of the Samba HOWTO collection
[2005/08/10 16:59:41, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2005/08/10 16:59:41, 0] lib/util.c:smb_panic2(1495)
  PANIC: internal error
[2005/08/10 16:59:41, 0] lib/util.c:smb_panic2(1503)
  BACKTRACE: 46 stack frames:
   #0 /usr/sbin/smbd(smb_panic2+0x111) [0x81eb301]
   #1 /usr/sbin/smbd(smb_panic+0x1a) [0x81eb1ea]
   #2 /usr/sbin/smbd [0x81d7368]
   #3 /lib/libpthread.so.0 [0x4034f825]
   #4 /lib/libc.so.6 [0x401bd6f8]
   #5 /lib/libpthread.so.0(raise+0x2b) [0x4034ca7b]
   #6 /lib/libc.so.6(gsignal+0x44) [0x401bd554]
   #7 /lib/libc.so.6(abort+0x178) [0x401bea88]
   #8 /lib/libc.so.6(__assert_fail+0x10f) [0x401b6bbf]
   #9 /usr/lib/liblber.so.2(ber_get_next+0xfd) [0x4005937d]
   #10 /usr/lib/libldap_r.so.2 [0x4002a096]
   #11 /usr/lib/libldap_r.so.2 [0x40029da5]
   #12 /lib/libnss_ldap.so.2 [0x4067df8a]
   #13 /lib/libnss_ldap.so.2 [0x4067db7a]
   #14 /lib/libnss_ldap.so.2 [0x40681507]
   #15 /lib/libnss_ldap.so.2 [0x4068136a]
   #16 /lib/libnss_ldap.so.2 [0x4067e552]
   #17 /lib/libnss_ldap.so.2 [0x4067f093]
   #18 /lib/libnss_ldap.so.2(_nss_ldap_initgroups_dyn+0x14c) [0x406816cc]
   #19 /lib/libc.so.6 [0x402393f4]
   #20 /lib/libc.so.6(initgroups+0x6b) [0x4023961b]
   #21 /usr/sbin/smbd [0x81cd7f4]
   #22 /usr/sbin/smbd [0x81cd9c4]
   #23 /usr/sbin/smbd(getgroups_user+0x46) [0x81cdb16]
   #24 /usr/sbin/smbd(pdb_default_enum_group_memberships+0x29) [0x81cdc59]
   #25 /usr/sbin/smbd [0x81c1765]
   #26 /usr/sbin/smbd [0x81b5864]
   #27 /usr/sbin/smbd(pdb_enum_group_memberships+0x4e) [0x81b70fe]
   #28 /usr/sbin/smbd(_samr_query_usergroups+0x1ed) [0x815144d]
   #29 /usr/sbin/smbd [0x81492a0]
   #30 /usr/sbin/smbd(api_rpcTNP+0x16c) [0x8161dfc]
   #31 /usr/sbin/smbd(api_pipe_request+0xba) [0x8161baa]
   #32 /usr/sbin/smbd [0x815c3f8]
   #33 /usr/sbin/smbd [0x815c76f]
   #34 /usr/sbin/smbd [0x815c964]
   #35 /usr/sbin/smbd [0x815cbc3]
   #36 /usr/sbin/smbd(write_to_pipe+0xfb) [0x815cb0b]
   #37 /usr/sbin/smbd [0x808e727]
   #38 /usr/sbin/smbd(reply_trans+0x57c) [0x808f13c]
   #39 /usr/sbin/smbd [0x80d7a76]
   #40 /usr/sbin/smbd [0x80d7d00]
   #41 /usr/sbin/smbd(process_smb+0x8c) [0x80d7f0c]
   #42 /usr/sbin/smbd(smbd_process+0x168) [0x80d8c58]
   #43 /usr/sbin/smbd(main+0x505) [0x82655f5]
   #44 /lib/libc.so.6(__libc_start_main+0xc6) [0x401a9e36]
   #45 /usr/sbin/smbd [0x8079b01]
smbd:
/home/devel/openldap/build-area/openldap2-2.1.30/libraries/liblber/io.c:702:
ber_get_next: Assertion `0' failed.
[2005/08/10 17:01:10, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2005/08/10 17:01:10, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 6 in pid 15602 (3.0.14a-Debian)
  Please read the appendix Bugs of the Samba HOWTO collection
[2005/08/10 17:01:10, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2005/08/10 17:01:10, 0] lib/util.c:smb_panic2(1495)
  PANIC: internal error
[2005/08/10 17:01:10, 0] lib/util.c:smb_panic2(1503)
  BACKTRACE: 48 stack frames:
   #0 /usr/sbin/smbd(smb_panic2+0x111) [0x81eb301]
   #1 /usr/sbin/smbd(smb_panic+0x1a) [0x81eb1ea]
   #2 /usr/sbin/smbd [0x81d7368]
   #3 /lib/libpthread.so.0 [0x4034f825]
   #4 /lib/libc.so.6 [0x401bd6f8]
   #5 /lib/libpthread.so.0(raise+0x2b) [0x4034ca7b]
   #6 /lib/libc.so.6(gsignal+0x44) [0x401bd554]
   #7 /lib/libc.so.6(abort+0x178) [0x401bea88]
   #8 /lib/libc.so.6(__assert_fail+0x10f) [0x401b6bbf]
   #9 /usr/lib/liblber.so.2(ber_get_next+0xfd) [0x4005937d]
   #10 /usr/lib/libldap_r.so.2 [0x4002a096]
   #11 /usr/lib/libldap_r.so.2 [0x40029da5]
   #12 /lib/libnss_ldap.so.2 [0x4067df8a]
   #13 /lib/libnss_ldap.so.2 [0x4067db7a]
   #14 /lib/libnss_ldap.so.2 [0x40681507]
   #15 /lib/libnss_ldap.so.2 [0x4068136a]
   #16 /lib/libnss_ldap.so.2 [0x4067e552]
   #17 /lib/libnss_ldap.so.2 [0x4067f093]
   #18 /lib/libnss_ldap.so.2(_nss_ldap_initgroups_dyn+0x14c) [0x406816cc]
   #19 /lib/libc.so.6 [0x402393f4]
   #20 /lib/libc.so.6(initgroups+0x6b) [0x4023961b]
   #21 /usr/sbin/smbd [0x81cd7f4]
   #22 /usr/sbin/smbd [0x81cd9c4]
   #23 /usr/sbin/smbd(getgroups_user+0x46) [0x81cdb16]
   #24 /usr/sbin/smbd(pdb_default_enum_group_memberships+0x29) [0x81cdc59]
   #25 /usr/sbin/smbd [0x81c1765]
   #26 /usr/sbin/smbd [0x81b5864]
   #27 /usr/sbin/smbd(pdb_enum_group_memberships+0x4e) [0x81b70fe]
   #28 /usr/sbin/smbd [0x822b112]
   #29 /usr/sbin/smbd [0x822b26e]
   #30 /usr/sbin/smbd(make_server_info_sam+0x140) [0x822b560]
   #31 /usr/sbin/smbd [0x82262b4]
   #32 /usr/sbin/smbd [0x82265b1]
   #33 /usr/sbin/smbd [0x82239ff]
   #34 /usr/sbin/smbd [0x822d809]
   #35 /usr/sbin/smbd [0x810fad1]
   #36 /usr/sbin/smbd(ntlmssp_update+0x18b) [0x810f0db]
   #37 /usr/sbin/smbd(auth_ntlmssp_update+0x3d) [0x822db2d]
   #38 /usr/sbin/smbd [0x80b0a71]
   #39 /usr/sbin/smbd [0x80b0d44]
   #40 /usr/sbin/smbd(reply_sesssetup_and_X+0xe48) [0x80b1d18]
   #41 /usr/sbin/smbd [0x80d7a76]
   #42 /usr/sbin/smbd [0x80d7d00]
   #43 /usr/sbin/smbd(process_smb+0x8c) [0x80d7f0c]
   #44 /usr/sbin/smbd(smbd_process+0x168) [0x80d8c58]
   #45 /usr/sbin/smbd(main+0x505) [0x82655f5]
   #46 /lib/libc.so.6(__libc_start_main+0xc6) [0x401a9e36]
   #47 /usr/sbin/smbd [0x8079b01]
[2005/08/10 17:01:10, 0] lib/util_sock.c:get_peer_addr(1150)
  getpeername failed. Error was Transport endpoint is not connected
[2005/08/10 17:01:10, 0] lib/util_sock.c:get_peer_addr(1150)
  getpeername failed. Error was Transport endpoint is not connected
[2005/08/10 17:01:10, 0] lib/util_sock.c:client_inaddr(1018)
  getpeername failed. Error was Transport endpoint is not connected
[2005/08/10 17:01:10, 0] lib/util_sock.c:write_socket_data(430)
  write_socket_data: write failure. Error = Connection reset by peer
[2005/08/10 17:01:10, 0] lib/util_sock.c:write_socket(455)
  write_socket: Error writing 118 bytes to socket 5: ERRNO = Connection reset by
peer
[2005/08/10 17:01:10, 0] lib/util_sock.c:send_smb(647)
  Error writing 118 bytes to client. -1. (Connection reset by peer)
[2005/08/10 17:01:10, 0] lib/util_sock.c:write_socket_data(430)
  write_socket_data: write failure. Error = Broken pipe
[2005/08/10 17:01:10, 0] lib/util_sock.c:write_socket(455)
  write_socket: Error writing 51 bytes to socket 5: ERRNO = Broken pipe
[2005/08/10 17:01:10, 0] lib/util_sock.c:send_smb(647)
  Error writing 51 bytes to client. -1. (Broken pipe)
[2005/08/10 17:01:10, 1] smbd/service.c:close_cnum(830)
  pc01265 (10.0.1.82) closed connection to service jds
[2005/08/10 17:01:10, 1] smbd/service.c:close_cnum(830)
...
[2005/08/10 17:01:10, 1] smbd/service.c:make_connection_snum(642)
  pc01181 (10.0.1.xxx) connect to service phc initially as user phc (uid=5154,
gid=513) (pid 9378)
[2005/08/10 17:01:10, 1] smbd/service.c:make_connection_snum(642)


in syslog:
Aug 10 16:59:38 server01 slapd[660]: <= bdb_equality_candidates: (uniqueMember)
index_param failed (18)
Aug 10 16:59:38 server01 smbd[20874]: nss_ldap: could not get LDAP result -
Can't contact LDAP server
Aug 10 16:59:41 server01 smbd[20874]: [2005/08/10 16:59:41, 0]
lib/fault.c:fault_report(36)
Aug 10 16:59:41 server01 smbd[20874]:  
===============================================================
Aug 10 16:59:41 server01 smbd[20874]: [2005/08/10 16:59:41, 0]
lib/fault.c:fault_report(37)
Aug 10 16:59:41 server01 smbd[20874]:   INTERNAL ERROR: Signal 6 in pid 20874
(3.0.14a-Debian)
Aug 10 16:59:41 server01 smbd[20874]:   Please read the appendix Bugs of the
Samba HOWTO collection
Aug 10 16:59:41 server01 smbd[20874]: [2005/08/10 16:59:41, 0]
lib/fault.c:fault_report(39)
Aug 10 16:59:41 server01 smbd[20874]:  
===============================================================
Aug 10 16:59:41 server01 smbd[20874]: [2005/08/10 16:59:41, 0]
lib/util.c:smb_panic2(1495)
Aug 10 16:59:41 server01 smbd[20874]:   PANIC: internal error
Aug 10 16:59:41 server01 smbd[20874]: [2005/08/10 16:59:41, 0]
lib/util.c:smb_panic2(1503)
Aug 10 16:59:41 server01 smbd[20874]:   BACKTRACE: 46 stack frames:
Aug 10 16:59:41 server01 smbd[20874]:    #0 /usr/sbin/smbd(smb_panic2+0x111)
[0x81eb301]
Aug 10 16:59:41 server01 smbd[20874]:    #1 /usr/sbin/smbd(smb_panic+0x1a)
[0x81eb1ea]
Aug 10 16:59:41 server01 smbd[20874]:    #2 /usr/sbin/smbd [0x81d7368]
Aug 10 16:59:41 server01 smbd[20874]:    #3 /lib/libpthread.so.0 [0x4034f825]
Aug 10 16:59:41 server01 smbd[20874]:    #4 /lib/libc.so.6 [0x401bd6f8]
Aug 10 16:59:41 server01 smbd[20874]:    #5 /lib/libpthread.so.0(raise+0x2b)
[0x4034ca7b]
Aug 10 16:59:41 server01 smbd[20874]:    #6 /lib/libc.so.6(gsignal+0x44)
[0x401bd554]
Aug 10 16:59:41 server01 smbd[20874]:    #7 /lib/libc.so.6(abort+0x178) [0x401bea88]
Aug 10 16:59:41 server01 smbd[20874]:    #8 /lib/libc.so.6(__assert_fail+0x10f)
[0x401b6bbf]
Aug 10 16:59:41 server01 smbd[20874]:    #9
/usr/lib/liblber.so.2(ber_get_next+0xfd) [0x4005937d]
Aug 10 16:59:41 server01 smbd[20874]:    #10 /usr/lib/libldap_r.so.2 [0x4002a096]
Aug 10 16:59:41 server01 smbd[20874]:    #11 /usr/lib/libldap_r.so.2 [0x40029da5]
Aug 10 16:59:41 server01 smbd[20874]:    #12 /lib/libnss_ldap.so.2 [0x4067df8a]
Aug 10 16:59:41 server01 smbd[20874]:    #13 /lib/libnss_ldap.so.2 [0x4067db7a]
Aug 10 16:59:41 server01 smbd[20874]:    #14 /lib/libnss_ldap.so.2 [0x40681507]
Aug 10 16:59:41 server01 smbd[20874]:    #15 /lib/libnss_ldap.so.2 [0x4068136a]
Aug 10 16:59:41 server01 slapd[1162]: <= bdb_equality_candidates: (uniqueMember)
index_param failed (18)
Aug 10 16:59:41 server01 smbd[20874]:    #16 /lib/libnss_ldap.so.2 [0x4067e552]
Aug 10 16:59:41 server01 smbd[20874]:    #17 /lib/libnss_ldap.so.2 [0x4067f093]
Aug 10 16:59:41 server01 smbd[20874]:    #18
/lib/libnss_ldap.so.2(_nss_ldap_initgroups_dyn+0x14c) [0x406816cc]
Aug 10 16:59:41 server01 smbd[20874]:    #19 /lib/libc.so.6 [0x402393f4]
Aug 10 16:59:41 server01 smbd[20874]:    #20 /lib/libc.so.6(initgroups+0x6b)
[0x4023961b]
Aug 10 16:59:41 server01 smbd[20874]:    #21 /usr/sbin/smbd [0x81cd7f4]
Aug 10 16:59:41 server01 smbd[20874]:    #22 /usr/sbin/smbd [0x81cd9c4]
Aug 10 16:59:41 server01 smbd[20874]:    #23 /usr/sbin/smbd(getgroups_user+0x46)
[0x81cdb16]
Aug 10 16:59:41 server01 smbd[20874]:    #24
/usr/sbin/smbd(pdb_default_enum_group_memberships+0x29) [0x81cdc59]
Aug 10 16:59:41 server01 smbd[20874]:    #25 /usr/sbin/smbd [0x81c1765]
Aug 10 16:59:41 server01 smbd[20874]:    #26 /usr/sbin/smbd [0x81b5864]
Aug 10 16:59:41 server01 smbd[20874]:    #27
/usr/sbin/smbd(pdb_enum_group_memberships+0x4e) [0x81b70fe]
Aug 10 16:59:41 server01 smbd[20874]:    #28
/usr/sbin/smbd(_samr_query_usergroups+0x1ed) [0x815144d]
Aug 10 16:59:41 server01 smbd[20874]:    #29 /usr/sbin/smbd [0x81492a0]
Aug 10 16:59:41 server01 smbd[20874]:    #30 /usr/sbin/smbd(api_rpcTNP+0x16c)
[0x8161dfc]
Aug 10 16:59:41 server01 smbd[20874]:    #31
/usr/sbin/smbd(api_pipe_request+0xba) [0x8161baa]
Aug 10 16:59:41 server01 smbd[20874]:    #32 /usr/sbin/smbd [0x815c3f8]
Aug 10 16:59:41 server01 smbd[20874]:    #33 /usr/sbin/smbd [0x815c76f]
Aug 10 16:59:41 server01 smbd[20874]:    #34 /usr/sbin/smbd [0x815c964]
Aug 10 16:59:41 server01 smbd[20874]:    #35 /usr/sbin/smbd [0x815cbc3]
Aug 10 16:59:41 server01 smbd[20874]:    #36 /usr/sbin/smbd(write_to_pipe+0xfb)
[0x815cb0b]
Aug 10 16:59:41 server01 smbd[20874]:    #37 /usr/sbin/smbd [0x808e727]
Aug 10 16:59:41 server01 smbd[20874]:    #38 /usr/sbin/smbd(reply_trans+0x57c)
[0x808f13c]
Aug 10 16:59:41 server01 smbd[20874]:    #39 /usr/sbin/smbd [0x80d7a76]
Aug 10 16:59:41 server01 smbd[20874]:    #40 /usr/sbin/smbd [0x80d7d00]
Aug 10 16:59:41 server01 smbd[20874]:    #41 /usr/sbin/smbd(process_smb+0x8c)
[0x80d7f0c]
Aug 10 16:59:41 server01 smbd[20874]:    #42 /usr/sbin/smbd(smbd_process+0x168)
[0x80d8c58]
Aug 10 16:59:41 server01 smbd[20874]:    #43 /usr/sbin/smbd(main+0x505) [0x82655f5]
Aug 10 16:59:41 server01 smbd[20874]:    #44
/lib/libc.so.6(__libc_start_main+0xc6) [0x401a9e36]
Aug 10 16:59:41 server01 smbd[20874]:    #45 /usr/sbin/smbd [0x8079b01]
Aug 10 16:59:41 server01 smbd[20874]:
Aug 10 16:59:41 server01 slapd[1165]: <= bdb_equality_candidates: (uniqueMember)
index_param failed (18)
...
Comment 1 Gerald (Jerry) Carter 2005-08-30 04:40:06 UTC
Looks like are using an older version of the OL client libs.  
The assert is in those libs.

/home/devel/openldap/build-area/openldap2-2.1.30/libraries/liblber/io.c:702:
ber_get_next: Assertion `0' failed.

I would recommend testing the newer OL client libs.